Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.event.dom.client
Interface HasAllFocusHandlers

All Superinterfaces:
  HasBlurHandlers, HasFocusHandlers, HasHandlers

All Known Implementing Classes:
  Anchor, Audio, Button, ButtonBase, ButtonBase, Canvas, CheckBox, CustomButton, DoubleBox, FocusPanel, FocusWidget, IntegerBox, ListBox, LongBox, MediaBase, PasswordTextBox, PushButton, RadioButton, ResetButton, RichTextArea, SimpleCheckBox, SimpleRadioButton, SubmitButton, TextArea, TextBox, TextBoxBase, TextButton, ToggleButton, Tree, ValueBox, ValueBoxBase, Video

    public interface HasAllFocusHandlers

extends HasFocusHandlers, HasBlurHandlers

This is a convenience interface that includes all focus handlers defined by the core GWT system.

WARNING, PLEASE READ: As this interface is intended for developers who wish to handle all focus events in GWT, in the unlikely event that a new focus event is added, this interface will change.

Method Summary

Methods inherited from interface com.google.gwt.event.dom.client.HasFocusHandlers
`addFocusHandler`

Methods inherited from interface com.google.gwt.event.dom.client.HasBlurHandlers
`addBlurHandler`

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD